> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/queries/tracking/checklists/intake-checklist.md).

# Intake Checklist

The `intakesChecklist` query helps you review your *food intake* to see if you're doing well or if you need to improve something in your daily intake.

### Required Arguments

| **Argument** | **Type**       | **Description**                                                                                                                |
| ------------ | -------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| `category`   | IntakeCategory | <p>Select among the following categories: <br><code>FOOD</code>, <code>PLAN\_SUPPLEMENT</code>, or <code>SUPPLEMENT</code></p> |
| `startDate`  | Date           | The date when the food intake will start counting. Use the format: `YYYY-MM-DD`                                                |
| `endDate`    | Date           | The date when the food intake will end counting. Use the format: `YYYY-MM-DD`                                                  |

### **Available Fields**

<table data-header-hidden><thead><tr><th width="253.33333333333331">Field name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><strong>Field name</strong></td><td><strong>Type</strong></td><td><strong>Description</strong></td></tr><tr><td>name</td><td>String</td><td>Unique Id of the checklist item</td></tr><tr><td>icon</td><td>String</td><td>Title of the checklist item</td></tr><tr><td>days</td><td>IntakesChecklistDay</td><td>An object that returns the items checklist per day</td></tr></tbody></table>

### Example <a href="#example" id="example"></a>

{% tabs %}
{% tab title="Request" %}

```graphql
query($category: IntakeCategory!, $start: Date!, $end: Date!) {
  intakesChecklist(start: $start, end: $end, category: $category) {
    name
    icon
    days {
      date
      items {
        ... on ChecklistItem {
          id
          title
          image
          checked
          subtitle
          category
        }
        ... on SupplementOnPlan {
          planName
          checked
          timeOfDay
          order
        }
    
      }
    }
  }
}

```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="QUERY VARIABLES" %}

```graphql
{
  "start": "2012-01-01",
  "end": "2022-12-01",
  "category": "SUPPLEMENT"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/tracking/checklists/intake-checklist.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
